/***************************************************************************
 *   Copyright (C) 2006 by Borko Boskovic                                  *
 *   borko.boskovic@uni-mb.si                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <glib/gprintf.h>

#include "bit.h"
#include "square.h"

void chessBitPrint(guint64 x){
	gint i, index;
	gchar stype[72];
	for(i=0; i<71; i++) stype[i] = '0';
	for(i=8; i<71; i+=9) stype[i] = '\n';
	stype[71] = '\0';
	while(x != 0){
		index = getFirstBitAndClear64(&x);
		stype[70-rank(index)*9-(7-file(index))] = '1';
	}
	g_printf("%s\n\n",stype);
}

