/***************************************************************************
 *   Copyright (C) 2006 by Borko Boskovic,                                 *
 *   borko.boskovic@uni-mb.si                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef START_SEARCH_H
#define START_SEARCH_H

#include <glib.h>

#include "position.h"

struct tSearchParameter{
	guint depth;
	unsigned long long int nodes;
	guint movestogo;
	guint wtime;
	guint winc;
	guint btime;
	guint binc;
	guint movetime;
	gboolean infinite;
	gboolean mate;
};
typedef struct tSearchParameter SearchParameter;

void searchStart(Position* position,SearchParameter* searchParameter);
gboolean searchStop();
gboolean searchTimeStop();

#endif
